Skip to main content
PUT
Edit a note

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

note_id
integer
required

ID of the note

program_id
string
required

ID of the program

Example:

"donor"

Body

application/json

Input data format

note
string
Example:

"This is a note."

categories
string

The note categories

Example:

"ALL"

category_id
integer
Example:

1

client_id
string
Example:

"1"

id
integer

The note id

Example:

1

note_id
integer
Example:

1

program_id
string
Example:

"donor"

Response

Successful operation

message
string

Success message

Example:

"Successful"